/*
 * This file was generated by the Gradle 'init' task.
 *
 * This generated file contains a sample Kotlin library project to get you started.
 */

plugins {
    // Apply the Kotlin JVM plugin to add support for Kotlin.
    id("org.jetbrains.kotlin.jvm") version "1.5.0"
    id("maven-publish")

    // Apply the java-library plugin for API and implementation separation.
    `java-library`
}

group = "no.lundesgaard.kotlin"
version = "1.0.0-SNAPSHOT"

publishing {
    publications {
        create<MavenPublication>("kotlinTestDsl") {
            artifactId = "kotlin-test-dsl"
            from(components["java"])
        }
    }
}

repositories {
    // Use jcenter for resolving dependencies.
    // You can declare any Maven/Ivy/file repository here.
    jcenter()
}

object Versions {
    const val kotlin = "1.5.0"
    const val kotest = "4.6.0"
}

dependencies {
    implementation(platform("org.jetbrains.kotlin:kotlin-bom"))
    implementation("org.jetbrains.kotlin:kotlin-stdlib-jdk8")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:${Versions.kotlin}")

    // Use the Kotest test library (implementation)
    implementation("io.kotest:kotest-framework-api-jvm:${Versions.kotest}")

    // Use the Kotest test library (test)
    testImplementation("io.kotest:kotest-runner-junit5:${Versions.kotest}")
    testImplementation("io.kotest:kotest-assertions-core:${Versions.kotest}")
    testImplementation("io.kotest:kotest-property:${Versions.kotest}")

}

tasks.withType<Test> {
    useJUnitPlatform()
}
